use P4::test;
use P4::TM { DATA_DIR => 'self' };
use File::Copy::Recursive 'dircopy';
use Encode;
use Data::Dumper;

P4::TM::add_mask_func sub {
  s/\\/\//g;
  $_
};

dircopy $script_abspath =~ s/\.t$//r . '/*', 'wrap_a_trigger';
`p4 extension --package wrap_a_trigger`;
`p4 extension --install wrap_a_trigger.p4-extension -y`;
$stdin = `p4 extension --configure ExampleInc::wrap_a_trigger -o`;
`p4 extension --configure ExampleInc::wrap_a_trigger -i`;

$stdin = `p4 extension --configure ExampleInc::wrap_a_trigger --name wrap_a_trigger-instance -o`;
`p4 extension --configure ExampleInc::wrap_a_trigger --name wrap_a_trigger-instance -i`;

`p4 client -o | p4 client -i`;

tm `p4 --field Description=abcd change -o | p4 change -i`;

my $char = encode 'UTF-8', "\N{OBJECT REPLACEMENT CHARACTER}";
tm `p4 --field Description=--$char-- change -o | p4 change -i`;

__DATA__
[[23,26],
[
  'p4 --field Description=abcd change -o | p4 change -i',
  'Change 2 created.
',
  0,
  'p4 --field Description=---- change -o | p4 change -i',
  '
Error in change specification.
\'wrap_a_trigger-instance\' validation failed: Error running wrapped trigger:  server.extensions.dir/1557BE31-FF3D-4F74-BADF-F5CA5A0CA516/1-arch/ascii-check.pl: Bad character \'<U+00BC>\' in form!  Must be encoded as \'US-ascii\'.

',
  1
]
]
